aboutsummaryrefslogtreecommitdiff
path: root/bin/ak-sm-filejoiner
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2024-04-04 09:39:47 +0300
committerkaotisk <kaotisk@arching-kaos.org>2024-04-04 09:39:47 +0300
commit946d002543083d9561bb1e7f851b8179099ad077 (patch)
tree63c0689b9510a5e6dcfcac4b1c1140079a3a1f6d /bin/ak-sm-filejoiner
parent25cabe789a20e39e666dc56348cb32d0d1714dbd (diff)
downloadarching-kaos-tools-946d002543083d9561bb1e7f851b8179099ad077.tar.gz
arching-kaos-tools-946d002543083d9561bb1e7f851b8179099ad077.tar.bz2
arching-kaos-tools-946d002543083d9561bb1e7f851b8179099ad077.zip
Deployed space lazers to eliminate tabbed spaces
- Also: _ak_not_implemented introduced
Diffstat (limited to 'bin/ak-sm-filejoiner')
-rwxr-xr-xbin/ak-sm-filejoiner64
1 files changed, 32 insertions, 32 deletions
diff --git a/bin/ak-sm-filejoiner b/bin/ak-sm-filejoiner
index 69b1297..3f3604c 100755
--- a/bin/ak-sm-filejoiner
+++ b/bin/ak-sm-filejoiner
@@ -5,11 +5,11 @@ set -xe
PROGRAM="$(basename $0)"
usage(){
- echo "$PROGRAM <hash>"
+ echo "$PROGRAM <hash>"
}
cdaw(){
- pwd > tmp_holder
+ pwd > tmp_holder
}
cdaw
@@ -20,12 +20,12 @@ TMPWD="/tmp/rjs"
if [ ! -d "$TMPWD" ]
then
- mkdir -p "$TMPWD"
- if [ "$?" != 0 ]
- then
- echo "Can't create $TMPWD dir"
- exit 1
- fi
+ mkdir -p "$TMPWD"
+ if [ "$?" != 0 ]
+ then
+ echo "Can't create $TMPWD dir"
+ exit 1
+ fi
fi
MAPSDIR="$AK_WORKDIR/fmp"
@@ -35,54 +35,54 @@ CHKDIR="$AK_WORKDIR/ftr"
cd $CHKDIR
if [ "$?" != 0 ]
then
- echo "Can't get dir"
- exit 1
+ echo "Can't get dir"
+ exit 1
fi
if [ ! -z $1 ]
then
- MAPSFILE="$1"
+ MAPSFILE="$1"
+
+ echo '#!/bin/bash' > script
- echo '#!/bin/bash' > script
-
# We create a script to copy all the chunks and rename them to their serialized
# name produced by split when we splitted the file
- awk '{print "cp '$CHKDIR'/"$1" '$TMPWD'/"$2" "}' $MAPSDIR/$MAPSFILE| grep chk >> script
+ awk '{print "cp '$CHKDIR'/"$1" '$TMPWD'/"$2" "}' $MAPSDIR/$MAPSFILE| grep chk >> script
- bash script
+ bash script
- if [ "$?" != 0 ]
- then
- echo "Error executing copy script"
- exit 1
- fi
- rm script
+ if [ "$?" != 0 ]
+ then
+ echo "Error executing copy script"
+ exit 1
+ fi
+ rm script
- cd $TMPWD
+ cd $TMPWD
- echo "$PWD"
+ echo "$PWD"
# Final name we are going to rename to
- OUTPUT="$(tail -n1 $MAPSDIR/$MAPSFILE | awk '{print $2}')"
+ OUTPUT="$(tail -n1 $MAPSDIR/$MAPSFILE | awk '{print $2}')"
- echo $OUTPUT
+ echo $OUTPUT
# We grep the MAPSFILE for chk filenames in lines and we print them all in
# one line so the first `cat` will concatenate all chunks to OUTPUT
- cat $(echo -n $(cat $MAPSDIR/$MAPSFILE|grep chk|awk '{print $2" "}'|tr -d '\n')) > $OUTPUT
+ cat $(echo -n $(cat $MAPSDIR/$MAPSFILE|grep chk|awk '{print $2" "}'|tr -d '\n')) > $OUTPUT
# We check if everything is okay
- sha512sum -c $MAPSDIR/$MAPSFILE
+ sha512sum -c $MAPSDIR/$MAPSFILE
if [ "$?" != "0" ]; then
logit "ERROR" "Error while checking sums"
exit 1
fi
-
- mv $OUTPUT $CURDIR
- rm -rf "$TMPWD"
+ mv $OUTPUT $CURDIR
+
+ rm -rf "$TMPWD"
- rm $CURDIR/tmp_holder
+ rm $CURDIR/tmp_holder
else
- usage
+ usage
fi